export declare class ScriptWriter {
    s: string;
    packageNames: string[];
    varCount: number;
    constructor(varCount?: string);
    allocVariable(prefix?: string): string;
    _put(s?: string): void;
    endLine(): void;
    assignCore(variableName: any, functionName: any, props: any): void;
    assign(variableName: any, functionName: any, props: any): void;
    assignValue(variableName: any, jsonValue: any): void;
    requirePackage(packageName: any): void;
    copyStream(sourceVar: any, targetVar: any, colmapVar?: any): void;
    dumpDatabase(options: any): void;
    importDatabase(options: any): void;
    dataDuplicator(options: any): void;
    comment(s: any): void;
    getScript(schedule?: any): string;
}
export declare class ScriptWriterJson {
    s: string;
    packageNames: string[];
    varCount: number;
    commands: any[];
    constructor(varCount?: string);
    allocVariable(prefix?: string): string;
    endLine(): void;
    assign(variableName: any, functionName: any, props: any): void;
    assignValue(variableName: any, jsonValue: any): void;
    copyStream(sourceVar: any, targetVar: any, colmapVar?: any): void;
    comment(text: any): void;
    dumpDatabase(options: any): void;
    importDatabase(options: any): void;
    dataDuplicator(options: any): void;
    getScript(schedule?: any): {
        type: string;
        schedule: any;
        commands: any[];
        packageNames: string[];
    };
}
export declare function jsonScriptToJavascript(json: any): string;
