import { DbDiffOptions, testEqualTables, testEqualSqlObjects } from './diffTools';
import type { DatabaseInfo, EngineDriver, SqlObjectInfo, TableInfo } from 'dbgate-types';
export declare function computeDiffRowsCore(sourceList: any, targetList: any, testEqual: any): any[];
export declare const DbDiffCompareDefs: {
    tables: {
        test: typeof testEqualTables;
        name: string;
        plural: string;
        icon: string;
    };
    views: {
        test: typeof testEqualSqlObjects;
        name: string;
        plural: string;
        icon: string;
    };
    matviews: {
        test: typeof testEqualSqlObjects;
        name: string;
        plural: string;
        icon: string;
    };
    procedures: {
        test: typeof testEqualSqlObjects;
        name: string;
        plural: string;
        icon: string;
    };
    functions: {
        test: typeof testEqualSqlObjects;
        name: string;
        plural: string;
        icon: string;
    };
};
export declare function computeDbDiffRows(sourceDb: DatabaseInfo, targetDb: DatabaseInfo, opts: DbDiffOptions, driver: EngineDriver): any[];
export declare function computeTableDiffColumns(sourceTable: TableInfo, targetTable: TableInfo, opts: DbDiffOptions, driver: EngineDriver): any[];
export declare function getCreateObjectScript(obj: TableInfo | SqlObjectInfo, driver: EngineDriver): string;
