import type { ColumnInfo, DatabaseInfo, DatabaseInfoObjects, NamedObjectInfo, SqlDialect, TableInfo } from 'dbgate-types';
export declare function fullNameFromString(name: any): {
    schemaName: any;
    pureName: any;
};
export declare function fullNameToString({ schemaName, pureName }: {
    schemaName: any;
    pureName: any;
}): any;
export declare function fullNameToLabel({ schemaName, pureName }: {
    schemaName: any;
    pureName: any;
}): any;
export declare function quoteFullName(dialect: any, { schemaName, pureName }: {
    schemaName: any;
    pureName: any;
}): string;
export declare function equalStringLike(s1: any, s2: any): boolean;
export declare function equalFullName(name1: NamedObjectInfo, name2: NamedObjectInfo): boolean;
export declare function findObjectLike({ pureName, schemaName }: {
    pureName: any;
    schemaName: any;
}, dbinfo: DatabaseInfo, objectTypeField: keyof DatabaseInfoObjects): import("dbgate-types").CollectionInfo;
export declare function findForeignKeyForColumn(table: TableInfo, column: ColumnInfo | string): import("dbgate-types").ForeignKeyInfo;
export declare function makeUniqueColumnNames(res: ColumnInfo[]): void;
export declare function fillConstraintNames(table: TableInfo, dialect: SqlDialect): TableInfo;
