import type { DatabaseInfo, TableInfo, ApplicationDefinition, ViewInfo, CollectionInfo } from 'dbgate-types';
export declare function addTableDependencies(db: DatabaseInfo): DatabaseInfo;
export declare function extendTableInfo(table: TableInfo): TableInfo;
export declare function extendDatabaseInfo(db: DatabaseInfo): DatabaseInfo;
export declare function extendDatabaseInfoFromApps(db: DatabaseInfo, apps: ApplicationDefinition[]): DatabaseInfo;
export declare function isTableColumnUnique(table: TableInfo, column: string): boolean;
export declare function isTableInfo(obj: {
    objectTypeField?: string;
}): obj is TableInfo;
export declare function isViewInfo(obj: {
    objectTypeField?: string;
}): obj is ViewInfo;
export declare function isCollectionInfo(obj: {
    objectTypeField?: string;
}): obj is CollectionInfo;
